using FishFactoryContracts.BindingModels;
using FishFactoryContracts.SearchModels;
using FishFactoryContracts.ViewModels;

namespace FishFactoryContracts.StoragesContracts
{
    public interface IIngredientStorage
    {
        List<IngredientViewModel> GetFullList();
        List<IngredientViewModel> GetFilteredList(IngredientSearchModel model);
        IngredientViewModel? GetElement(IngredientSearchModel model);
        IngredientViewModel? Insert(IngredientBindingModel model);
        IngredientViewModel? Update(IngredientBindingModel model);
        IngredientViewModel? Delete(IngredientBindingModel model);
    }
}
